Bug 1134003 - Review Request: php-doctrine-instantiator - Instantiate objects in PHP without invoking their constructors
Review Request: php-doctrine-instantiator - Instantiate objects in PHP withou...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-26 11:35 EDT by Remi Collet
Modified: 2014-09-23 23:42 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-doctrine-instantiator-1.0.2-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-09 18:07:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
phpcompatinfo.log (15.78 KB, text/plain)
2014-08-27 18:03 EDT, Shawn Iwinski
no flags Details
fedora-review.txt (6.40 KB, text/plain)
2014-08-27 18:04 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2014-08-26 11:35:57 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/a0a6565308592549bd63d73093256a06aff353a3/php/php-doctrine-instantiator/php-doctrine-instantiator.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-doctrine-instantiator-1.0.2-1.remi.src.rpm
Description: 
This library provides a way of avoiding usage of constructors when
instantiating PHP classes.

Fedora Account System Username: remi
Comment 1 Remi Collet 2014-08-26 11:37:50 EDT
This package (previous known as php-ocramius-instantiator) is now part of Doctrine project, and will be used by both PHPUnit and Doctrine.
Comment 2 Shawn Iwinski 2014-08-27 18:03:24 EDT
Created attachment 931692 [details]
phpcompatinfo.log

phpcompatinfo version 2.26.0
Comment 3 Shawn Iwinski 2014-08-27 18:04:08 EDT
Created attachment 931693 [details]
fedora-review.txt

Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 1134003
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 4 Shawn Iwinski 2014-08-27 18:06:02 EDT
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove after initial import.



[x]: Requires correct, justified where necessary.

     "php": "~5.3" from composer instead of "php": ">=5.3.3"



No blockers.

===== APPROVED =====
Comment 5 Remi Collet 2014-08-28 10:03:16 EDT
Thanks for the review!


New Package SCM Request
=======================
Package Name: php-doctrine-instantiator
Short Description: Instantiate objects in PHP without invoking their constructors
Upstream URL: https://github.com/doctrine/instantiator
Owners: remi
Branches: f20 f21 el6 epel7
InitialCC:
Comment 6 Gwyn Ciesla 2014-08-28 11:31:41 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2014-08-28 12:21:03 EDT
php-doctrine-instantiator-1.0.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-doctrine-instantiator-1.0.2-1.fc21
Comment 8 Fedora Update System 2014-08-28 12:21:09 EDT
php-doctrine-instantiator-1.0.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-doctrine-instantiator-1.0.2-1.fc20
Comment 9 Fedora Update System 2014-08-28 12:21:16 EDT
php-doctrine-instantiator-1.0.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-doctrine-instantiator-1.0.2-1.el6
Comment 10 Fedora Update System 2014-08-29 10:43:15 EDT
php-doctrine-instantiator-1.0.2-1.fc21 has been pushed to the Fedora 21 testing repository.
Comment 11 Fedora Update System 2014-09-09 18:07:23 EDT
php-doctrine-instantiator-1.0.2-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 12 Fedora Update System 2014-09-23 00:46:07 EDT
php-doctrine-instantiator-1.0.2-1.fc21 has been pushed to the Fedora 21 stable repository.
Comment 13 Fedora Update System 2014-09-23 23:42:54 EDT
php-doctrine-instantiator-1.0.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.